package de.heinerkuecker.asciiartflowparser;
/**
 * Von dieser abstrakten Klasse mssen alle Teile (Parts)
 * einer Verbindung (FlowConnection) ableiten.
 *
 * @author Heiner Kcker
 */
abstract class FlowConnectionPart
{
    /**
     * zu dieser FlowConnection gehrt
     * dieser FlowConnectionPart.
     */
    protected final FlowConnection flowConnection;

    /**
     * @return the flowConnection
     */
    /*public*/ FlowConnection getFlowConnection()
    {
        return this.flowConnection;
    }


    /**
     * @param pFlowConnection
     */
    protected FlowConnectionPart(
            final FlowConnection pFlowConnection)
    {
        this.flowConnection = pFlowConnection;
    }


    /**
     * Check, ob die bergebene Position
     * auf diesem Part liegt.
     * Zu implementierende Methode.
     *
     * @param pRowNr
     * @param PColNr
     * @return ob die bergebene Position auf diesem Part liegt.
     */
    abstract boolean matchPosition(
            final int pRowNr,
            final int pColNr);
}
