package de.heinerkuecker.util;
import java.io.*;

/**
 * Methoden zum Umgang mit Exceptions . <br/>
 *
 *
 * <br/>
 * <b>Author:</b> <a href="http://www.heinerkuecker.de" target="_blank">Heiner Kcker</a>
 * <br/>
 *
 * @author Heiner Kcker
 * @version $Id: ExceptionUtil.java,v 1.2 2005/06/28 09:11:03 hku Exp $
 */
public final class ExceptionUtil
{
    /**
     * Konstruktor private, instanziieren verboten
     */
    private ExceptionUtil()
    {
        super();
    }

    /**
     *
     * @deprecated benutze die Methode {@link Log#fatal(Exception)}
     * @param pThr
     */
    public static void printToErr(Throwable pThr)
    {
        System.err.println( pThr.getMessage() );
        pThr.printStackTrace();
    }

   /**
    * Zurckgeben der Message und des StackTrace einer Exception als String
    *
    * @param tr zu bearbeitende Exception
    * @return Message und StackTrace als String
    */
   public static String getMessageAndStackTrace(Throwable tr)
   {
     String  retString = "";

     if (tr != null)
     {
       retString = tr.getMessage();

       StringWriter  writer = new StringWriter();
       PrintWriter   pwriter = new PrintWriter(writer);

       tr.printStackTrace(pwriter);

       retString += "\n\n\nStacktrace:\n\n " + writer.toString();
     }

     return retString;
   } // end method getMessageAndStackTrace

}
