package de.heinerkuecker.util;

import java.util.ArrayList;
import java.util.Map;
import java.util.TreeMap;

/**
 * A TreeMap with list values
 * (Many values with an sequential
 * order for one key).
 *
 * @author Heiner Kcker
 */
public class ListTreeMap extends TreeMap
{
    /**
     * serial version id generated by eclipse
     */
    private static final long serialVersionUID = -2162640746170922628L;

    /**
     *
     */
    public ListTreeMap() {
    }

    /**
     * @param pArg0
     */
    public ListTreeMap(Map pArg0) {
        super(pArg0);
    }

    /**
     * Add the given value object to
     * the list on the position
     * according the given key.
     *
     * @see java.util.HashMap#put(java.lang.Object, java.lang.Object)
     */
    public Object put(
            final Object pKey,
            final Object pVal)
    {
        final ArrayList oldEntryList = (ArrayList) this.get( pKey );
        if ( oldEntryList == null )
        {
            final ArrayList newArrayList = new ArrayList();
            newArrayList.add( pVal );
            super.put( pKey, newArrayList);
            return null;
        }
        oldEntryList.add( pVal );
        return oldEntryList;
    }

}
